Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web.loadbalancer.scheduler
Class Host

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.web.loadbalancer.scheduler.Host

All Implemented Interfaces:
  HostMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class Host
extends org.jboss.mx.util.JBossNotificationBroadcasterSupport
implements HostMBean

A class that holds information about a target node.

Version:
  $Revision: 1.3.6.1 $
Author:
  Thomas Peuss

Field Summary

Fields inherited from interface org.jboss.web.loadbalancer.scheduler.HostMBean
`OBJECT_NAME`

Constructor Summary
`Host(URL url)`

Method Summary
`void` | `addRequest(int responseTime)`
`void` | `decCurrentConnections()`
`boolean` | `equals(Object obj)`
`int` | `getCurrentConnections()`
`int` | `getLbFactor()`
`int` | `getState()`
`String` | `getStateString()`
`HostStatistics` | `getStatistics()`
`URL` | `getUrl()`
`int` | `hashCode()`
`void` | `incCurrentConnections()`
`void` | `markNodeDown()`
`void` | `markNodeForcedDown()`
`void` | `markNodeUp()`
`void` | `resetStatistics()`
`void` | `setLbFactor(int lbFactor)`
`void` | `setState(int state)`
`void` | `setStatistics(HostStatistics statistics)`
`void` | `setUrl(URL url)`
`String` | `toString()`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Host

    public Host(URL url)

Method Detail

### toString

    public String toString()

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object obj)

### addRequest

    public void addRequest(int responseTime)

### incCurrentConnections

    public void incCurrentConnections()

### decCurrentConnections

    public void decCurrentConnections()

### getCurrentConnections

    public int getCurrentConnections()

  Specified by:
    `getCurrentConnections` in interface `HostMBean`

### getUrl

    public URL getUrl()

  Specified by:
    `getUrl` in interface `HostMBean`

### setUrl

    public void setUrl(URL url)

### getLbFactor

    public int getLbFactor()

  Specified by:
    `getLbFactor` in interface `HostMBean`

### setLbFactor

    public void setLbFactor(int lbFactor)

  Specified by:
    `setLbFactor` in interface `HostMBean`

### getStatistics

    public HostStatistics getStatistics()

  Specified by:
    `getStatistics` in interface `HostMBean`

### setStatistics

    public void setStatistics(HostStatistics statistics)

### getState

    public int getState()

  Specified by:
    `getState` in interface `HostMBean`
  Returns:

### setState

    public void setState(int state)

### getStateString

    public String getStateString()

  Specified by:
    `getStateString` in interface `HostMBean`

### markNodeUp

    public void markNodeUp()

  Specified by:
    `markNodeUp` in interface `HostMBean`

### markNodeDown

    public void markNodeDown()

  Specified by:
    `markNodeDown` in interface `HostMBean`

### markNodeForcedDown

    public void markNodeForcedDown()

  Specified by:
    `markNodeForcedDown` in interface `HostMBean`

### resetStatistics

    public void resetStatistics()

  Specified by:
    `resetStatistics` in interface `HostMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.